%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           gst-inspector
Version:        0.3
Release:        %mkrel 1

Summary:        An introspection data viewer for the GStreamer multimedia framework
Group:          Development/Languages
License:        GPLv3+
URL:            http://renestadler.de/projects/gst-inspector
Source:         http://renestadler.de/files/gst-inspector/gst-inspector-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  intltool
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
Requires:       pygtk2.0 >= 2.10.0
Requires:       python-gobject >= 2.12.3
Requires:       hicolor-icon-theme

%description
GStreamer Inspector is an introspection data viewer for the GStreamer
multimedia framework. Developers of GStreamer applications can use it
to find out about the various elements available in the system.

It can be thought of as a graphical variant of the gst-inspect
program, which currently serves as the canonical source of
introspection information for many developers.

%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
sed -i -e 's@%{buildroot}@@' %{buildroot}%{_bindir}/gst-inspector
    
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=GStreamer Inspector
Comment=Multimedia system plugin introspection
Exec=gst-inspector
Icon=gst-inspector.svg
Terminal=false
Type=Application
Categories=X-MandrivaLinux;Development;GNOME;
EOF

%clean
rm -rf %{buildroot}

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus} 
%clean_icon_cache hicolor


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO

%{_bindir}/gst-inspector
%{_datadir}/gst-inspector
%{_datadir}/applications/gst-inspector.desktop
%{_datadir}/icons/hicolor/48x48/apps/gst-inspector.png
%{_datadir}/icons/hicolor/scalable/apps/gst-inspector.svg
%{python_sitelib}/*

%changelog
* Mon Jun 09 2008 Slick50 <slick50@linuxgator.org> 0.3.-1pclos2007
- Import to PCLinuxOS

